
From: Rusty Russell <rusty@rustcorp.com.au>

From:  a.othieno@bluewin.ch (Arthur Othieno)
From:  Vinay K Nallamothu <vinay-rc@naturesoft.net>

Remove various duplicated #includes
DESC
trivial: drivers/media/video_saa7134_saa7134-input.c: kill duplicate include
EDESC
From: Rusty Russell <rusty@rustcorp.com.au>

From:  a.othieno@bluewin.ch (Arthur Othieno)
DESC
Subject: [TRIVIAL] [TRIVIAL 2.6] drivers_net_wireless_orinoco_plx.c: kill 	duplicate
EDESC
From: Rusty Russell <rusty@rustcorp.com.au>

 From:  a.othieno@bluewin.ch (Arthur Othieno)

---
  Hi,
  
  >From scripts/checkincludes.pl:
  
    ./drivers/net/wireless/orinoco_plx.c: linux/wireless.h is included more than once.
  
  Against 2.6.5. Thanks.
  
  



---

 25-akpm/Documentation/BK-usage/bk-kernel-howto.txt  |    2 +-
 25-akpm/Documentation/BK-usage/gcapatch             |    2 +-
 25-akpm/drivers/block/floppy98.c                    |    9 +++++----
 25-akpm/drivers/block/rd.c                          |    1 -
 25-akpm/drivers/bluetooth/hci_ldisc.c               |    1 -
 25-akpm/drivers/firmware/edd.c                      |    1 -
 25-akpm/drivers/media/video/saa7134/saa7134-input.c |    1 -
 25-akpm/drivers/mtd/chips/jedec_probe.c             |    1 -
 25-akpm/drivers/net/arm/ether00.c                   |    1 -
 25-akpm/drivers/net/eepro100.c                      |    1 -
 25-akpm/drivers/net/ibmveth.c                       |    1 -
 25-akpm/drivers/net/netconsole.c                    |    1 -
 25-akpm/drivers/net/pcmcia/axnet_cs.c               |    1 -
 25-akpm/drivers/net/wireless/orinoco_pci.c          |    1 -
 25-akpm/drivers/net/wireless/orinoco_plx.c          |    1 -
 25-akpm/drivers/net/wireless/orinoco_tmd.c          |    1 -
 25-akpm/drivers/pnp/pnpbios/bioscalls.c             |    6 +++---
 25-akpm/drivers/pnp/pnpbios/core.c                  |    6 +++---
 25-akpm/drivers/scsi/aha152x.c                      |    3 +--
 25-akpm/drivers/scsi/dpt_i2o.c                      |    1 -
 25-akpm/drivers/scsi/pcmcia/nsp_cs.c                |    1 -
 25-akpm/drivers/serial/8250_acpi.c                  |    1 -
 25-akpm/drivers/usb/gadget/serial.c                 |    1 -
 23 files changed, 14 insertions(+), 31 deletions(-)

diff -puN Documentation/BK-usage/bk-kernel-howto.txt~trivial-fix-duplicated-includes Documentation/BK-usage/bk-kernel-howto.txt
--- 25/Documentation/BK-usage/bk-kernel-howto.txt~trivial-fix-duplicated-includes	2004-05-21 21:34:39.477574704 -0700
+++ 25-akpm/Documentation/BK-usage/bk-kernel-howto.txt	2004-05-21 21:34:39.512569384 -0700
@@ -279,5 +279,5 @@ specific state of the tree).
    for my long-lived kernel branch?
 A. Yes.  This requires BK 3.x, though.
 
-	bk export -tpatch -r`bk repogca bk://linux.bkbits.net/linux-2.5`,+
+	bk export -tpatch -r`bk repogca http://linux.bkbits.net/linux-2.5`,+
 
diff -puN Documentation/BK-usage/gcapatch~trivial-fix-duplicated-includes Documentation/BK-usage/gcapatch
--- 25/Documentation/BK-usage/gcapatch~trivial-fix-duplicated-includes	2004-05-21 21:34:39.478574552 -0700
+++ 25-akpm/Documentation/BK-usage/gcapatch	2004-05-21 21:34:39.512569384 -0700
@@ -5,4 +5,4 @@
 # Usage: gcapatch > foo.patch
 #
 
-bk export -tpatch -hdu -r`bk repogca bk://linux.bkbits.net/linux-2.5`,+
+bk export -tpatch -hdu -r`bk repogca http://linux.bkbits.net/linux-2.5`,+
diff -puN drivers/block/floppy98.c~trivial-fix-duplicated-includes drivers/block/floppy98.c
--- 25/drivers/block/floppy98.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.480574248 -0700
+++ 25-akpm/drivers/block/floppy98.c	2004-05-21 21:34:39.515568928 -0700
@@ -704,15 +704,16 @@ static int output_log_pos;
 
 static void reschedule_timeout(int drive, const char *message, int marg)
 {
+	unsigned long delay;
+
 	if (drive == current_reqD)
 		drive = current_drive;
-	del_timer(&fd_timeout);
 	if (drive < 0 || drive > N_DRIVE) {
-		fd_timeout.expires = jiffies + 20UL*HZ;
+		delay = 20UL*HZ;
 		drive=0;
 	} else
-		fd_timeout.expires = jiffies + UDP->timeout;
-	add_timer(&fd_timeout);
+		delay = UDP->timeout;
+	mod_timer(&fd_timeout, delay + jiffies);
 	if (UDP->flags & FD_DEBUG){
 		DPRINT("reschedule timeout ");
 		printk(message, marg);
diff -puN drivers/block/rd.c~trivial-fix-duplicated-includes drivers/block/rd.c
--- 25/drivers/block/rd.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.482573944 -0700
+++ 25-akpm/drivers/block/rd.c	2004-05-21 21:34:39.516568776 -0700
@@ -53,7 +53,6 @@
 #include <linux/pagemap.h>
 #include <linux/blkdev.h>
 #include <linux/genhd.h>
-#include <linux/bio.h>
 #include <linux/buffer_head.h>		/* for invalidate_bdev() */
 #include <linux/backing-dev.h>
 #include <linux/blkpg.h>
diff -puN drivers/bluetooth/hci_ldisc.c~trivial-fix-duplicated-includes drivers/bluetooth/hci_ldisc.c
--- 25/drivers/bluetooth/hci_ldisc.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.483573792 -0700
+++ 25-akpm/drivers/bluetooth/hci_ldisc.c	2004-05-21 21:34:39.517568624 -0700
@@ -32,7 +32,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN drivers/firmware/edd.c~trivial-fix-duplicated-includes drivers/firmware/edd.c
--- 25/drivers/firmware/edd.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.485573488 -0700
+++ 25-akpm/drivers/firmware/edd.c	2004-05-21 21:34:39.517568624 -0700
@@ -40,7 +40,6 @@
 #include <linux/limits.h>
 #include <linux/device.h>
 #include <linux/pci.h>
-#include <linux/device.h>
 #include <linux/blkdev.h>
 #include <linux/edd.h>
 
diff -puN drivers/media/video/saa7134/saa7134-input.c~trivial-fix-duplicated-includes drivers/media/video/saa7134/saa7134-input.c
--- 25/drivers/media/video/saa7134/saa7134-input.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.486573336 -0700
+++ 25-akpm/drivers/media/video/saa7134/saa7134-input.c	2004-05-21 21:34:39.536565736 -0700
@@ -19,7 +19,6 @@
 
 #include <linux/module.h>
 #include <linux/init.h>
-#include <linux/input.h>
 #include <linux/delay.h>
 #include <linux/interrupt.h>
 #include <linux/input.h>
diff -puN drivers/mtd/chips/jedec_probe.c~trivial-fix-duplicated-includes drivers/mtd/chips/jedec_probe.c
--- 25/drivers/mtd/chips/jedec_probe.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.488573032 -0700
+++ 25-akpm/drivers/mtd/chips/jedec_probe.c	2004-05-21 21:34:39.519568320 -0700
@@ -16,7 +16,6 @@
 #include <linux/errno.h>
 #include <linux/slab.h>
 #include <linux/interrupt.h>
-#include <linux/init.h>
 
 #include <linux/mtd/mtd.h>
 #include <linux/mtd/map.h>
diff -puN drivers/net/arm/ether00.c~trivial-fix-duplicated-includes drivers/net/arm/ether00.c
--- 25/drivers/net/arm/ether00.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.489572880 -0700
+++ 25-akpm/drivers/net/arm/ether00.c	2004-05-21 21:34:39.519568320 -0700
@@ -21,7 +21,6 @@
 /* includes */
 #include <linux/config.h>
 #include <linux/pci.h>
-#include <linux/netdevice.h>
 #include <linux/sched.h>
 #include <linux/netdevice.h>
 #include <linux/skbuff.h>
diff -puN drivers/net/eepro100.c~trivial-fix-duplicated-includes drivers/net/eepro100.c
--- 25/drivers/net/eepro100.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.491572576 -0700
+++ 25-akpm/drivers/net/eepro100.c	2004-05-21 21:34:39.521568016 -0700
@@ -120,7 +120,6 @@ static int options[] = {-1, -1, -1, -1, 
 #include <linux/rtnetlink.h>
 #include <linux/skbuff.h>
 #include <linux/ethtool.h>
-#include <linux/mii.h>
 
 /* enable PIO instead of MMIO, if CONFIG_EEPRO100_PIO is selected */
 #ifdef CONFIG_EEPRO100_PIO
diff -puN drivers/net/ibmveth.c~trivial-fix-duplicated-includes drivers/net/ibmveth.c
--- 25/drivers/net/ibmveth.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.492572424 -0700
+++ 25-akpm/drivers/net/ibmveth.c	2004-05-21 21:34:39.522567864 -0700
@@ -55,7 +55,6 @@
 #include <asm/iommu.h>
 #include <asm/vio.h>
 #include <asm/uaccess.h>
-#include <linux/proc_fs.h>
 #include <linux/seq_file.h>
 
 #include "ibmveth.h"
diff -puN drivers/net/netconsole.c~trivial-fix-duplicated-includes drivers/net/netconsole.c
--- 25/drivers/net/netconsole.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.493572272 -0700
+++ 25-akpm/drivers/net/netconsole.c	2004-05-21 21:34:39.523567712 -0700
@@ -40,7 +40,6 @@
 #include <linux/module.h>
 #include <linux/console.h>
 #include <linux/tty_driver.h>
-#include <linux/module.h>
 #include <linux/moduleparam.h>
 #include <linux/string.h>
 #include <linux/sysrq.h>
diff -puN drivers/net/pcmcia/axnet_cs.c~trivial-fix-duplicated-includes drivers/net/pcmcia/axnet_cs.c
--- 25/drivers/net/pcmcia/axnet_cs.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.495571968 -0700
+++ 25-akpm/drivers/net/pcmcia/axnet_cs.c	2004-05-21 21:34:39.524567560 -0700
@@ -937,7 +937,6 @@ module_exit(exit_axnet_cs);
 static const char *version_8390 =
     "8390.c:v1.10cvs 9/23/94 Donald Becker (becker@scyld.com)\n";
 
-#include <asm/uaccess.h>
 #include <asm/bitops.h>
 #include <asm/irq.h>
 #include <linux/fcntl.h>
diff -puN drivers/net/wireless/orinoco_pci.c~trivial-fix-duplicated-includes drivers/net/wireless/orinoco_pci.c
--- 25/drivers/net/wireless/orinoco_pci.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.496571816 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_pci.c	2004-05-21 21:34:39.525567408 -0700
@@ -102,7 +102,6 @@
 #include <linux/wireless.h>
 #include <linux/list.h>
 #include <linux/pci.h>
-#include <linux/wireless.h>
 #include <linux/fcntl.h>
 
 #include <asm/uaccess.h>
diff -puN drivers/net/wireless/orinoco_plx.c~trivial-fix-duplicated-includes drivers/net/wireless/orinoco_plx.c
--- 25/drivers/net/wireless/orinoco_plx.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.497571664 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_plx.c	2004-05-21 21:34:39.537565584 -0700
@@ -125,7 +125,6 @@ not have time for a while..
 #include <linux/wireless.h>
 #include <linux/list.h>
 #include <linux/pci.h>
-#include <linux/wireless.h>
 #include <linux/fcntl.h>
 
 #include <pcmcia/cisreg.h>
diff -puN drivers/net/wireless/orinoco_tmd.c~trivial-fix-duplicated-includes drivers/net/wireless/orinoco_tmd.c
--- 25/drivers/net/wireless/orinoco_tmd.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.498571512 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_tmd.c	2004-05-21 21:34:39.525567408 -0700
@@ -69,7 +69,6 @@
 #include <linux/wireless.h>
 #include <linux/list.h>
 #include <linux/pci.h>
-#include <linux/wireless.h>
 #include <linux/fcntl.h>
 
 #include <pcmcia/cisreg.h>
diff -puN drivers/pnp/pnpbios/bioscalls.c~trivial-fix-duplicated-includes drivers/pnp/pnpbios/bioscalls.c
--- 25/drivers/pnp/pnpbios/bioscalls.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.500571208 -0700
+++ 25-akpm/drivers/pnp/pnpbios/bioscalls.c	2004-05-21 21:34:39.526567256 -0700
@@ -11,15 +11,15 @@
 #include <linux/pnpbios.h>
 #include <linux/device.h>
 #include <linux/pnp.h>
-#include <asm/page.h>
-#include <asm/system.h>
 #include <linux/mm.h>
 #include <linux/smp.h>
-#include <asm/desc.h>
 #include <linux/slab.h>
 #include <linux/kmod.h>
 #include <linux/completion.h>
 #include <linux/spinlock.h>
+
+#include <asm/page.h>
+#include <asm/desc.h>
 #include <asm/system.h>
 #include <asm/byteorder.h>
 
diff -puN drivers/pnp/pnpbios/core.c~trivial-fix-duplicated-includes drivers/pnp/pnpbios/core.c
--- 25/drivers/pnp/pnpbios/core.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.501571056 -0700
+++ 25-akpm/drivers/pnp/pnpbios/core.c	2004-05-21 21:34:39.527567104 -0700
@@ -53,15 +53,15 @@
 #include <linux/pnpbios.h>
 #include <linux/device.h>
 #include <linux/pnp.h>
-#include <asm/page.h>
-#include <asm/system.h>
 #include <linux/mm.h>
 #include <linux/smp.h>
-#include <asm/desc.h>
 #include <linux/slab.h>
 #include <linux/kmod.h>
 #include <linux/completion.h>
 #include <linux/spinlock.h>
+
+#include <asm/page.h>
+#include <asm/desc.h>
 #include <asm/system.h>
 #include <asm/byteorder.h>
 
diff -puN drivers/scsi/aha152x.c~trivial-fix-duplicated-includes drivers/scsi/aha152x.c
--- 25/drivers/scsi/aha152x.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.503570752 -0700
+++ 25-akpm/drivers/scsi/aha152x.c	2004-05-21 21:34:39.529566800 -0700
@@ -240,8 +240,6 @@
 #include <asm/irq.h>
 #include <asm/io.h>
 #include <linux/blkdev.h>
-#include "scsi.h"
-#include "hosts.h"
 #include <asm/system.h>
 #include <linux/errno.h>
 #include <linux/string.h>
@@ -259,6 +257,7 @@
 #include <scsi/scsicam.h>
 
 #include "scsi.h"
+#include "hosts.h"
 #include "aha152x.h"
 
 
diff -puN drivers/scsi/dpt_i2o.c~trivial-fix-duplicated-includes drivers/scsi/dpt_i2o.c
--- 25/drivers/scsi/dpt_i2o.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.505570448 -0700
+++ 25-akpm/drivers/scsi/dpt_i2o.c	2004-05-21 21:34:39.532566344 -0700
@@ -63,7 +63,6 @@ MODULE_DESCRIPTION("Adaptec I2O RAID Dri
 #include <linux/timer.h>
 #include <linux/string.h>
 #include <linux/ioport.h>
-#include <linux/stat.h>
 
 #include <asm/processor.h>	/* for boot_cpu_data */
 #include <asm/pgtable.h>
diff -puN drivers/scsi/pcmcia/nsp_cs.c~trivial-fix-duplicated-includes drivers/scsi/pcmcia/nsp_cs.c
--- 25/drivers/scsi/pcmcia/nsp_cs.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.506570296 -0700
+++ 25-akpm/drivers/scsi/pcmcia/nsp_cs.c	2004-05-21 21:34:39.534566040 -0700
@@ -38,7 +38,6 @@
 #include <linux/ioport.h>
 #include <linux/delay.h>
 #include <linux/interrupt.h>
-#include <linux/module.h>
 #include <linux/major.h>
 #include <linux/blkdev.h>
 #include <linux/stat.h>
diff -puN drivers/serial/8250_acpi.c~trivial-fix-duplicated-includes drivers/serial/8250_acpi.c
--- 25/drivers/serial/8250_acpi.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.507570144 -0700
+++ 25-akpm/drivers/serial/8250_acpi.c	2004-05-21 21:34:39.534566040 -0700
@@ -14,7 +14,6 @@
 #include <linux/module.h>
 #include <linux/tty.h>
 #include <linux/serial.h>
-#include <linux/tty.h>
 #include <linux/serial_core.h>
 
 #include <acpi/acpi_bus.h>
diff -puN drivers/usb/gadget/serial.c~trivial-fix-duplicated-includes drivers/usb/gadget/serial.c
--- 25/drivers/usb/gadget/serial.c~trivial-fix-duplicated-includes	2004-05-21 21:34:39.509569840 -0700
+++ 25-akpm/drivers/usb/gadget/serial.c	2004-05-21 21:34:39.536565736 -0700
@@ -33,7 +33,6 @@
 #include <linux/uts.h>
 #include <linux/version.h>
 #include <linux/wait.h>
-#include <linux/list.h>
 #include <linux/proc_fs.h>
 #include <linux/device.h>
 #include <linux/tty.h>

_
